vidwhacker(6)

NAME
vidwhacker - grab images and apply random filters to them

SYNOPSIS
vidwhacker [--display host:display.screen] [--root] [--window-id number][--verbose] [--stdin] [--stdout] [--delay seconds] [-directory directory] [--fps]

DESCRIPTION
Distorts an image using a random series of filters: edge detection, subtracting the image from a rotated version of itself, etc. Selection of random image files is done by running the xscreensaver-getimage-file(6) program. Capture of video frames (if requested) is done by running the xscreensaver-getimage-video(6) program.

OPTIONS
vidwhacker accepts the following options:

--root
    Draw on the root window. This is the default.

--window-id number
    Draw on the specified window.

--verbose
    Print diagnostics.

--stdin
    Instead of grabbing an image from disk or video, read an image to manipulate from stdin. This image must be in ppm(5) format. The program will still perform repeated random image transformations, but it will always use this one image as its starting point.

--delay seconds
    How long to sleep between images. Default 5 seconds (the actual elapsed time is significantly longer, due to processing time.)

--stdout
    Instead of displaying the image on a window or on the root, write the new image on stdout, and exit.

--directory directory
    Use this directory instead of the imageDirectory specified in the ~/.xscreensaver file.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

BUGS
It is poorly named; originally it worked only on grabbed video frames, before being expanded to work on any image. It requires the various PBM tools, e.g., ppmrelief(1). Though still available, the "pbmplus" suite has largely fallen out of favor these days, so it would be nice if someone were to port this script to make use of ImageMagick's convert(1) instead. That would also probably make it faster.

SEE ALSO
X(1), xscreensaver(1), xscreensaver-getimage(6), xscreensaver-getimage-file(6), xscreensaver-getimage-video(6), ppmtogif(1), convert(1)

COPYRIGHT
Copyright © 1998-2001 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 18-Jan-98.